Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class JTextComponent.KeyBinding

    java.lang.Object
      |
      +--javax.swing.text.JTextComponent.KeyBinding

public static class JTextComponent.KeyBinding
extends java.lang.Object

Binding record for creating key bindings.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Field Summary
`java.lang.String` | `actionName` The name of the action for the key.
`KeyStroke` | `key` The key.

Constructor Summary
`JTextComponent.KeyBinding(KeyStroke key, java.lang.String actionName)` Creates a new key binding.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    public KeyStroke key

  The key.

### actionName

    public java.lang.String actionName

  The name of the action for the key.

Constructor Detail

### JTextComponent.KeyBinding

    public JTextComponent.KeyBinding(KeyStroke key,
                                     java.lang.String actionName)

  Creates a new key binding.
  Parameters:
    `key` - the key
    `actionName` - the name of the action for the key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.